Get a User by ID
cURL
curl --request GET \
--url https://api.openphone.com/v1/users/{userId} \
--header 'Authorization: <api-key>'
Response Status Codes
Example Response
{
"data": {
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "John",
"lastName": "Doe",
"pictureUrl": "https://example.com/picture.jpg",
"role": "owner",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: yes
Path Parameters
- userId
- Type: string
- Required: yes
- Description: The unique identifier of the user being retrieved.
- Pattern:
^US(.*)$
- Example: